// Copyright (c) The Avalonia Project. All rights reserved.
// Licensed under the MIT license. See licence.md file in the project root for full license information.

namespace Avalonia.Media
{
    /// <summary>
    /// Describes how content is positioned vertically in a container.
    /// </summary>
    public enum AlignmentY
    {
        /// <summary>
        /// The contents align themselves with the top of the container
        /// </summary>
        Top,

        /// <summary>
        /// The contents align themselves with the center of the container
        /// </summary>
        Center,

        /// <summary>
        /// The contents align themselves with the bottom of the container
        /// </summary>
        Bottom,
    }
}
